regenerated

This commit is contained in:
Roland McGrath 2002-10-18 08:17:43 +00:00
parent 2a3566dacf
commit 2e9d4e8c88
2 changed files with 119 additions and 63 deletions

View File

@ -1,10 +1,13 @@
#! /bin/sh
# This file is generated from configure.in by Autoconf. DO NOT EDIT!
# GNU libc on the Hurd is always reentrant.
DEFINES="$DEFINES -D_LIBC_REENTRANT"
cat >> confdefs.h <<\EOF
cat >>confdefs.h <<\_ACEOF
#define NO_HIDDEN 1
EOF
_ACEOF
# Don't bother trying to generate any glue code to be compatible with the
@ -12,7 +15,8 @@ EOF
inhibit_glue=yes
if test "x$prefix" != x; then
echo "configure: warning: --prefix= (empty) is required for GNU/Hurd to work normally" 1>&2
{ echo "$as_me:$LINENO: WARNING: --prefix= (empty) is required for GNU/Hurd to work normally" >&5
echo "$as_me: WARNING: --prefix= (empty) is required for GNU/Hurd to work normally" >&2;}
fi
case "$machine" in
@ -25,47 +29,69 @@ case "$machine" in
;;
esac
echo $ac_n "checking Hurd header version""... $ac_c" 1>&6
echo "configure:30: checking Hurd header version" >&5
if eval "test \"`echo '$''{'libc_cv_hurd_version'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
echo "$as_me:$LINENO: checking Hurd header version" >&5
echo $ECHO_N "checking Hurd header version... $ECHO_C" >&6
if test "${libc_cv_hurd_version+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 35 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <hurd/version.h>
int main() {
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
#define NEED_VERSION 20020609
#if HURD_INTERFACE_VERSION < NEED_VERSION
# error Hurd version too old: HURD_INTERFACE_VERSION < NEED_VERSION
#endif
; return 0; }
EOF
if { (eval echo configure:46: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
libc_cv_hurd_version=ok
else
echo "configure: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -rf conftest*
libc_cv_hurd_version=bad
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
libc_cv_hurd_version=bad
fi
rm -f conftest*
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$ac_t""$libc_cv_hurd_version" 1>&6
echo "$as_me:$LINENO: result: $libc_cv_hurd_version" >&5
echo "${ECHO_T}$libc_cv_hurd_version" >&6
if test "x$libc_cv_hurd_version" != xok; then
{ echo "configure: error: Hurd headers not installed or too old" 1>&2; exit 1; }
{ { echo "$as_me:$LINENO: error: Hurd headers not installed or too old" >&5
echo "$as_me: error: Hurd headers not installed or too old" >&2;}
{ (exit 1); exit 1; }; }
fi
# See if mig groks `retcode'.
echo $ac_n "checking whether $MIG supports the retcode keyword""... $ac_c" 1>&6
echo "configure:67: checking whether $MIG supports the retcode keyword" >&5
if eval "test \"`echo '$''{'hurd_cv_mig_retcode'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
echo "$as_me:$LINENO: checking whether $MIG supports the retcode keyword" >&5
echo $ECHO_N "checking whether $MIG supports the retcode keyword... $ECHO_C" >&6
if test "${hurd_cv_mig_retcode+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.defs <<\EOF
#include <mach/std_types.defs>
@ -77,18 +103,23 @@ simpleroutine foobar_reply (
reply_port: reply_port_t;
err: kern_return_t, RetCode);
EOF
if { ac_try='CC="${CC}" ${MIG-false} -n conftest.defs 1>&5'; { (eval echo configure:81: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; }; then
if { ac_try='CC="${CC}" ${MIG-false} -n conftest.defs 1>&5'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
hurd_cv_mig_retcode=yes
else
hurd_cv_mig_retcode=no
fi
rm -f conftest*
fi
echo "$ac_t""$hurd_cv_mig_retcode" 1>&6
echo "$as_me:$LINENO: result: $hurd_cv_mig_retcode" >&5
echo "${ECHO_T}$hurd_cv_mig_retcode" >&6
if test $hurd_cv_mig_retcode = yes; then
cat >> confdefs.h <<\EOF
cat >>confdefs.h <<\_ACEOF
#define HAVE_MIG_RETCODE 1
EOF
_ACEOF
fi

View File

@ -1,59 +1,84 @@
#! /bin/sh
# This file is generated from configure.in by Autoconf. DO NOT EDIT!
# Local configure fragment for sysdeps/unix.
if test -z "$inhibit_glue"; then
# For make_errlist.c, used in make_errlist.
for ac_func in strerror
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
echo "configure:9: checking for $ac_func" >&5
if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
echo "$as_me:$LINENO: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 14 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func(); below. */
which can conflict with char $ac_func (); below. */
#include <assert.h>
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char $ac_func();
int main() {
builtin and then its argument prototype would still apply. */
char $ac_func ();
char (*f) ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
$ac_func();
f = $ac_func;
#endif
; return 0; }
EOF
if { (eval echo configure:37: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_func_$ac_func=yes"
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes"
else
echo "configure: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -rf conftest*
eval "ac_cv_func_$ac_func=no"
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
eval "$as_ac_var=no"
fi
rm -f conftest*
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test `eval echo '${'$as_ac_var'}'` = yes; then
cat >>confdefs.h <<_ACEOF
#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
_ACEOF
if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
echo "$ac_t""yes" 1>&6
ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
cat >> confdefs.h <<EOF
#define $ac_tr_func 1
EOF
else
echo "$ac_t""no" 1>&6
fi
done